TimecodeStream12M (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model

## Interface TimecodeStream12M

- All Superinterfaces:
    Component, InterchangeObject, MediaEntity, MetadataObject, Segment, TimecodeStream
  All Known Implementing Classes:
    TimecodeStream12MImpl

      public interface TimecodeStream12M
      extends TimecodeStream

  Specifies a stream of timecode data in the SMPTE 12M format.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `INCLUDESYNC_DEFAULT` Default value for the include sync property, which is false.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TimecodeStream12M` | `clone()` Create a cloned copy of this timecode stream 12M.
    `boolean` | `getIncludeSync()` Returns `true` if the synchronization data is included in the timecode stream; otherwise `false` if the synchronization data has a fixed value and is omitted from the timecode stream.
    `void` | `setIncludeSync(Boolean includeSync)` Sets `true` if synchronization data is included in this timecode stream and `false` if the synchronization data has a fixed value and is omitted from the timecode stream.

    - ### Methods inherited from interface tv.amwa.maj.model.TimecodeStream

      `getPositionTimecode, getSampleSize, getSourceBufferLength, getTimecodeSource, getTimecodeStreamData, getTimecodeStreamSampleRate, getUserDataAtPosition, getUserDataLength, setPositionTimecode, setTimecodeSource, setTimecodeStreamData, setTimecodeStreamSampleRate, setUserDataAtPosition`

    - ### Methods inherited from interface tv.amwa.maj.model.Segment

      `generateSequence, segmentOffsetToTC, segmentTCToOffset`

    - ### Methods inherited from interface tv.amwa.maj.model.Component

      `appendComponentAttribute, appendComponentAttribute, appendComponentKLVData, appendComponentUserComment, appendComponentUserComment, clearComponentAttributes, clearComponentKLVData, clearComponentUserComments, countComponentAttributes, countComponentKLVData, countComponentUserComments, getComponentAttributes, getComponentDataDefinition, getComponentKLVData, getComponentLength, getComponentUserComments, getLengthPresent, removeComponentAttribute, removeComponentKLVData, removeComponentUserComment, setComponentDataDefinition, setComponentLength, setLengthPresent`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Field Detail

    - #### INCLUDESYNC_DEFAULT

          static final boolean INCLUDESYNC_DEFAULT

      Default value for the include sync property, which is false.

      See Also:
        `getIncludeSync()`, `setIncludeSync(Boolean)`, Constant Field Values

  - ### Method Detail

    - #### setIncludeSync

          void setIncludeSync(@Bool
                              Boolean includeSync)

      Sets `true` if synchronization data is included in this timecode stream and `false` if the synchronization data has a fixed value and is omitted from the timecode stream.

      The default value for this optional property is false. Set this optional property to `null` to omit it.

      Parameters:
        `includeSync` - Is synchronization data included in the timecode stream?
      See Also:
        `INCLUDESYNC_DEFAULT`

    - #### getIncludeSync

          @Bool
          boolean getIncludeSync()

      Returns `true` if the synchronization data is included in the timecode stream; otherwise `false` if the synchronization data has a fixed value and is omitted from the timecode stream.

      If this optional property is omitted, the default value of false is returned.

      Returns:
        Is synchronization data included in the timecode stream?
      See Also:
        `INCLUDESYNC_DEFAULT`

    - #### clone

          TimecodeStream12M clone()

      Create a cloned copy of this timecode stream 12M.

      Specified by:
        `clone` in interface `Component`
      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `MediaEntity`
      Specified by:
        `clone` in interface `Segment`
      Specified by:
        `clone` in interface `TimecodeStream`
      Returns:
        Cloned copy of this timecode stream 12M.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.